getAppeasement

get

/ccagent/v1/appeasements/{id}

Get Appeasement. Gets a detailed appeasement information based on the appeasement ID provided.

Request

Supported Media Types
Path Parameters
Back to Top

Response

Supported Media Types

200 Response

Following model is returned when operation succeeds.
Body ()
Root Schema : getAppeasement_response
Type: object
Show Source
Example:
{
    "reason":"incorrectItem",
    "agentId":"service",
    "notes":"Providing an appeasement of 20 USD which is 20% of the Order Total, according to the appeasement policy.",
    "comments":[
        {
            "agentId":"AgentBob",
            "comment":"Appeasement to be settled on priority. Valued customer.",
            "id":100001,
            "creationDate":"2020-03-20T04:56:13.935Z"
        }
    ],
    "orderId":"o1234",
    "appeasementRefunds":[
        {
            "paymentGroupId":"pg1001",
            "amount":20,
            "id":"ar1234",
            "state":"COMPLETE",
            "type":"externalRefund",
            "currencyCode":"USD"
        }
    ],
    "lastModifiedDate":"2020-03-20T05:15:05.645Z",
    "type":"order",
    "creationDate":"2020-03-20T04:56:13.935Z",
    "submittedDate":"2020-04-20T04:56:13.935Z",
    "profileId":"se-570031",
    "id":"app1234",
    "state":"SUBMITTED",
    "originOfAppeasement":"external"
}
Nested Schema : appeasementRefunds
Type: array
Array of appeasement Refunds represents the list of payment instrument details that we want to use for giving the appeasement.
Show Source
Nested Schema : comments
Type: array
Array of comments given on an appeasement.
Show Source
Nested Schema : items
Type: object
Properties of an appeasement refund.,
Show Source
Nested Schema : items
Type: object
Properties of a comment
Show Source

Default Response

The error response. The following are the internal error codes thrown by this API when the request processing fails in Oracle Commerce Cloud: |Error Code|Description| |------------------|------------------| |900001|An internal error occurred while processing input request.| |900002|No Appeasement found with given appeasement id| |900004|An internal error occured.|
Body ()
Root Schema : errorModel
Type: object
Show Source
Nested Schema : errors
Type: array
An optional list of errors if multiple errors were encountered
Show Source
Nested Schema : items
Type: object
Show Source
Back to Top